echo 4051-ROM in VHDL für Erstsynthese erstellen
echo ggf. vorher ccpath.bat ausfuehren!
echo Nach erfolger Synthese reicht ASM2BitS.bat, spielt neue Firmware ohne Neusynthese ein
rem Achtung: romgen hier mit BlockRAM 16, sonst stimmen Placings nicht!
h:
cd \ProjFPGA\ct-AsteroidsClock\roms
tools\gcc -O -lm -o scDataGen scDataGen.c
if not errorlevel 0 goto :eof
scDataGen >ScopeClockData.a51
copy /b ScopeClock.a51+ScopeClockData.a51 ScopeClockBuild.a51
tools\as31 -l ScopeClockBuild.a51
if not errorlevel 0 goto :eof
tools\hex2bin ScopeClockBuild.a51.hex
tools\romgen ScopeClockBuild.a51.bin ROM4051 12 l r >ROM4051.vhd
echo ROM4051.vhd erstellt, kann in den Source-Ordner kopiert werden!
pause